"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.downloadJDBCDriver = exports.OSS_DRIVER_VERSION = void 0;
const path_1 = __importDefault(require("path"));
const shared_1 = require("@cubejs-backend/shared");
exports.OSS_DRIVER_VERSION = '1.0.2';
/**
 * In the beginning of 2025 Databricks released their open-source version of JDBC driver and encourage
 * all users to migrate to it as company plans to focus on improving and evolving it over legacy simba driver.
 * More info about OSS Driver could be found at https://docs.databricks.com/aws/en/integrations/jdbc/oss
 * As of March 2025 To use the Databricks JDBC Driver (OSS), the following requirements must be met:
 * Java Runtime Environment (JRE) 11.0 or above. CI testing is supported on JRE 11, 17, and 21.
 */
async function downloadJDBCDriver() {
    // TODO: Just to throw a console warning that this ENV is obsolete and could be safely removed
    (0, shared_1.getEnv)('databrickAcceptPolicy');
    console.log(`Downloading databricks-jdbc-${exports.OSS_DRIVER_VERSION}-oss.jar`);
    await (0, shared_1.downloadAndExtractFile)(`https://repo1.maven.org/maven2/com/databricks/databricks-jdbc/${exports.OSS_DRIVER_VERSION}-oss/databricks-jdbc-${exports.OSS_DRIVER_VERSION}-oss.jar`, {
        showProgress: true,
        cwd: path_1.default.resolve(path_1.default.join(__dirname, '..', 'download')),
        skipExtract: true,
        dstFileName: `databricks-jdbc-${exports.OSS_DRIVER_VERSION}-oss.jar`,
    });
    console.log(`Release notes: https://mvnrepository.com/artifact/com.databricks/databricks-jdbc/${exports.OSS_DRIVER_VERSION}-oss`);
    return path_1.default.resolve(path_1.default.join(__dirname, '..', 'download', `databricks-jdbc-${exports.OSS_DRIVER_VERSION}-oss.jar`));
}
exports.downloadJDBCDriver = downloadJDBCDriver;
//# sourceMappingURL=installer.js.map